Error Message: "Required License is Missing: Sitecore.Ecommerce"

Follow

If you receive this error message from your Active Commerce site, please check the following:

  • Have you properly configured the Sitecore "data" folder so that it can find your license.xml file?
  • Has your Sitecore and/or Active Commerce license expired?
  • Does your Sitecore license.xml contain permission for the Sitecore.Ecommerce module?

Your Sitecore license.xml must contain permission for the Sitecore.Ecommerce module, aka Sitecore E-commerce Services (SES). It's very important that Sitecore provide you with a license key with the Sitecore.Ecommerce permission, since Active Commerce 3.2 and 3.3 still require use of SES 2.2, even on Sitecore 8+. After Sitecore provides this, you will need to submit a licensing support ticket that new license.xml, so our support team can generate a corresponding Active Commerce license.

Note: The Sitecore.Ecommerce permission and Sitecore E-commerce Services are distinct from Sitecore Commerce and Sitecore Commerce Connect, which is the Sitecore.Commerce permission. Though Sitecore no longer supports SES on recent versions of Sitecore, Active Commerce fully supports SES 2.2 on Sitecore 7.5 and 8.X. When used with Active Commerce 3.2+, there is no issue using SES 2.2 on recent versions of Sitecore. There should be no additional license fee from Sitecore for Sitecore E-commerce Services.

To confirm Sitecore has provided a compatible license key, you can search in the license.xml file for "Sitecore.Ecommerce."

Have more questions? Submit a request

Comments